#include <math.h>

void gendat( double a[], int n )

// ---------------------------------------------------------------------
// --- Routine 'gendat' generates  Real part of the test data for
//      the FFT: One complete cosine cycle in the Real part of the data.
// ---------------------------------------------------------------------
{
    int    i;
    double fac;
    // ---------------------------------------------------------------------
    fac = 8.0*atan( 1.0 )/(double)n;
    for( i = 0 ; i < n; i++ ) {
	a[i] = cos( i*fac );
    //a[i] = 0.1*i;
    }
}
