#include <time.h>
#include <stddef.h>
#include <stdio.h>

void state( char * progname )
{
   time_t  now;

//                  123456789+123456789+123456789+123456789+12345

   char machin[] = "Intel(R) Core(TM) i7 CPU 960  @ 3.20GHz      ";
   char memory[] = "5 GB                                         ";
   char compil[] = "gcc version 4.4.5 (Ubuntu/Linaro 4.4.4-14ubuntu5)";
   char option[] = "-O2 -cl-fast-relaxed-math                    ";
   char os[]     = "Ubuntu 10.10 (maverick)                      ";
   char runby[]  = "Mariusz Uchronski                            ";
   char comins[] = "Wroclaw Centre for Networking and Supercomputing";

   now = time( NULL );

   printf( " Euroben single-CPU benchmark V1.0 (C-version), program %s\n",
             progname );
   printf( " -----------------------------------------------------------" );
   printf(  "------------\n" );
   printf( " Computer                  %s\n", machin );
   printf( " Memory size               %s\n", memory );
   printf( " Compiler version          %s\n", compil );
   printf( " Compiler options          %s\n", option );
   printf( " Operating System version  %s\n", os     );
   printf( " Working precision         32 bits\n"    );
   printf( " Run by                    %s\n", runby  );
   printf( " Company/Institute         %s\n", comins );
   printf( "\n This program is run at: %s", asctime(localtime(&now)));
   printf( " -----------------------------------------------------------" );
   printf( "------------\n" );
}

           

