#include <iostream>
#include <string>
#include <cstring>
#include <fstream>
#include <sstream>
#include <cstdlib>

extern "C" char *getKernelFromFile(const char *fileName)
{
  std::ifstream ifs(fileName);
  std::stringstream ss;
  std::string aLine;

  while (std::getline(ifs, aLine))
    ss << aLine << std::endl;
  ifs.close();

  const int size = ss.str().size();
  char *KernelSource = (char *)calloc(size+1,sizeof(char) );
  std::strcpy( KernelSource, ss.str().c_str() );
  KernelSource[size] = '\0';
  return KernelSource;
}
