set xlabel "size"
set ylabel "Performance [Mflop/s]"
set grid
set terminal png
set key left
set xrange [256:1048576]

set output "mod2f_results_TeslaM2050_DP.png"

set multiplot

plot  "data_TeslaM2050.txt" using 1:2 title "BLOCK_SIZE 8" with lines lw 3,\
      "data_TeslaM2050.txt" using 1:3 title "BLOCK_SIZE 16" with lines lw 3,\
      "data_TeslaM2050.txt" using 1:4 title "BLOCK_SIZE 32" with lines lw 3,\
      "data_TeslaM2050.txt" using 1:5 title "BLOCK_SIZE 64" with lines lw 3,\
      "data_TeslaM2050.txt" using 1:6 title "BLOCK_SIZE 128" with lines lw 3

unset multiplot
set output "mod2f_results_GTX480_DP.png"
set multiplot

plot  "data_GTX480.txt" using 1:2 title "BLOCK_SIZE 8" with lines lw 3,\
      "data_GTX480.txt" using 1:3 title "BLOCK_SIZE 16" with lines lw 3,\
      "data_GTX480.txt" using 1:4 title "BLOCK_SIZE 32" with lines lw 3,\
      "data_GTX480.txt" using 1:5 title "BLOCK_SIZE 64" with lines lw 3,\
      "data_GTX480.txt" using 1:6 title "BLOCK_SIZE 128" with lines lw 3

unset multiplot
set output "mod2f_results_TeslaM2050_vs_GTX480_DP.png"
set multiplot

plot  "data_TeslaM2050.txt" using 1:6 title "Tesla M2050" with lines lw 3,\
      "data_GTX480.txt" using 1:6 title "GTX480" with lines lw 3

unset multiplot
set output "mod2f_results_SP_vs_DP.png"
set multiplot

plot  "data_SP_DP.txt" using 1:2 title "Tesla M2050 SP" with lines lw 3,\
      "data_SP_DP.txt" using 1:3 title "Tesla M2050 DP" with lines lw 3,\
      "data_SP_DP.txt" using 1:4 title "GTX480 SP" with lines lw 3,\
      "data_SP_DP.txt" using 1:5 title "GTX480 DP" with lines lw 3

